<p-messages [value]="msgs"></p-messages>
<!-- Control Turbo Table de PrimeNG configurado para paginar los datos 
    y auto configurar el ancho de las columnas 
-->
<br/><br/>
<p-table
    [value]="jugadores"
    [paginator]="true"
    [rows]="numRegPorPagina"
    [lazy]="true"
    [totalRecords]="totalRegistros"
    (onLazyLoad)="cargaDatosPaginados($event)"
    [autoLayout]="true"
>
    <ng-template pTemplate="caption">
        Lista de Jugadores
    </ng-template>
    <ng-template pTemplate="header">
        <tr>
            <th>Nombre</th>
            <th>Descripción</th>
            <th>Imagen</th>
            <th>Fecha Nacimiento</th>
            <th>Escuela</th>
            <th>Operaciones</th>
        </tr>
    </ng-template>
    <ng-template pTemplate="body" let-jugador>
        <tr>
            <td>{{ jugador.nombre }}</td>
            <td>{{ jugador.descripcion }}</td>
            <td *ngIf="jugador.img"><img class="img-thumbnail rounded" [src]="jugador.img" style="max-width: 100px" /></td>
            <td *ngIf="!jugador.img"><img class="img-thumbnail rounded" src="assets/img/user.jpg" style="max-width: 100px" /></td>
            <td>{{ jugador.nacimiento | date: 'dd/MM/yyyy' }}</td>
            <td>{{ jugador.escuela.descripcion }}</td>
            <td>
                <!-- En cada fila se ponen tres botones pequeños para consultar, editar o borrar-->
                <button
                    pButton
                    type="button"
                    icon="pi pi-search"
                    [routerLink]="['jugador/', jugador.id]"
                    class="ui-button-rounded ui-button-secondary"
                    style="font-size: 0.70rem; margin-right: 1px"
                ></button>
                <button
                    pButton
                    type="button"
                    icon="pi pi-pencil"
                    [routerLink]="['jugadores/form', jugador.id]"
                    class="ui-button-rounded ui-button-secondary"
                    style="font-size: 0.70rem; margin-right: 1px"
                ></button>
                <button
                    pButton
                    type="button"
                    icon="pi pi-times"
                    (click)="delete(jugador)"
                    class="ui-button-rounded ui-button-secondary"
                    style="font-size: 0.70rem"
                ></button>
            </td>
        </tr>
    </ng-template>
</p-table>
<div class="row">
    <div class="col-md-6">
        <div class="my-2 text-left">
            <p-button label="Crear Jugador" icon="pi pi-plus" [routerLink]="['jugadores/form']"></p-button>
        </div>
    </div>
    <div class="col-md-6">
        <div class="my-2 text-right">
            <p-button label="Informe jugadores" icon="pi pi-list" (click)="showRepJugadores()"></p-button>
        </div>
    </div>
</div>
<p-confirmDialog></p-confirmDialog>
